Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.explorer
Class ExplorerActionDrop

    java.lang.Object
      madkit.explorer.ExplorerActionDrop

All Implemented Interfaces:
  java.awt.dnd.DropTargetListener, java.util.EventListener

    public class ExplorerActionDrop

extends java.lang.Object
implements java.awt.dnd.DropTargetListener

Author:
  B_ROUIFED To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Field Summary
`protected java.lang.String` | `action`
`java.awt.dnd.DropTarget` | `dropTarget`
`protected FileIcon` | `icon`
`protected javax.swing.JTree` | `tree`

Constructor Summary
`ExplorerActionDrop()`

Method Summary
`void` | `dragEnter(java.awt.dnd.DropTargetDragEvent event)`
`void` | `dragExit(java.awt.dnd.DropTargetEvent event)`
`void` | `dragOver(java.awt.dnd.DropTargetDragEvent event)`
`void` | `drop(java.awt.dnd.DropTargetDropEvent event)`
`void` | `dropActionChanged(java.awt.dnd.DropTargetDragEvent event)`
`protected void` | `execIcon(Explorer _explorer, FileIcon _icon)`
`protected void` | `execTree(ExplorerGUI _adaptee)`
`java.lang.String` | `findTreePath(java.io.File _oldFile)`
`void` | `transfertFile(java.io.File _f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tree

    protected javax.swing.JTree tree

### action

    protected java.lang.String action

### icon

    protected FileIcon icon

### dropTarget

    public java.awt.dnd.DropTarget dropTarget

Constructor Detail

### ExplorerActionDrop

    public ExplorerActionDrop()

Method Detail

### execIcon

    protected void execIcon(Explorer _explorer,
                            FileIcon _icon)

### execTree

    protected void execTree(ExplorerGUI _adaptee)

### dragEnter

    public void dragEnter(java.awt.dnd.DropTargetDragEvent event)

  Specified by:
    `dragEnter` in interface `java.awt.dnd.DropTargetListener`

### dragOver

    public void dragOver(java.awt.dnd.DropTargetDragEvent event)

  Specified by:
    `dragOver` in interface `java.awt.dnd.DropTargetListener`

### dropActionChanged

    public void dropActionChanged(java.awt.dnd.DropTargetDragEvent event)

  Specified by:
    `dropActionChanged` in interface `java.awt.dnd.DropTargetListener`

### drop

    public void drop(java.awt.dnd.DropTargetDropEvent event)

  Specified by:
    `drop` in interface `java.awt.dnd.DropTargetListener`

### dragExit

    public void dragExit(java.awt.dnd.DropTargetEvent event)

  Specified by:
    `dragExit` in interface `java.awt.dnd.DropTargetListener`

### transfertFile

    public void transfertFile(java.io.File _f)

### findTreePath

    public java.lang.String findTreePath(java.io.File _oldFile)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.